Forbhreathnú ar an eochair
| Leagan na heochrach | V4 |
|---|---|
| Sonraíocht | RFC 2440 · RFC 4880 · RFC 9580 |
| Stádas | Comhoiriúnach, ach dímholta ag RFC 9580 |
| Príomheochair (deimhniú, síniú) | ECDSA NIST P-384 · ID 19 · SHA-384 |
| Fo-eochair chriptithe | ECDH NIST P-384 · ID 18 |
| Méarlorg | BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 |
| Frása faire na heochrach príobháidí | synthetic-key-password |
Algartaim agus úsáid
ECDSA NIST P-384: Síniú ar an gcuar éilipseach NIST P-384 le SHA-384, le haghaidh polasaithe a éilíonn leibhéal slándála NIST de 192 giotán.
ECDH NIST P-384: Fo-eochair chriptithe Diffie-Hellman ar an gcuar éilipseach NIST P-384.
Eochair phoiblí
An teastas poiblí ina bhfuil an phríomheochair, an fho-eochair chriptithe agus a sínithe ceangailteacha. Iompórtáil é chun sínithe a fhíorú nó chun criptiú don aitheantas tástála seo.
Íoslódáil → 892 bearta
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvNJkNILUogbWF0cml4IDIyLXY0LWVjZHNhLXAzODQr
ZWNkaC1wMzg0wqwEExMJADQFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEKtYb1yqW3qR8z4BgOgJ524F1+/n2iRm
jaukbT+poOaeuH6VkOitCFGFjT8Lam60e5SYuPMjDbtbGdS8hQF8D9/mJzC9P1HC
o5A8VUy3tKBaGHNDaJml9M7FWQThDmovNhJ5qEYOm0QQsY6MGOdUznMEaveFBxIF
K4EEACIDAwQbvZr2aiLIbyY7wpRARH8NQLxoUp9qkp0WOF1AL3wp8lFjGik8DX+/
eC506jE4WImKsZz3c0pCL6FTiaABBgjM49T4N81r65Ps2GOqNPJ9Vhpj61uUjbkD
KFDsw21H8SIDAQkIwpgEGBMJACAFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6
kQIbDAAKCRCrWG9cqlt6kWJFAX92J4+mOHncAvbgG/LTknkSlw5BQanmodSHCTHQ
PXafqe9hJ7tTtj+tcyyQGkYdVe8BfAi3r1QHtN+pqbuhcLqSC1X6X2CX4vnA+5v2
M6m3MpI8mq8Vdiu+S2zX9CuI/GE6nA==
=ayES
-----END PGP PUBLIC KEY BLOCK-----
Eochair phríobháideach
An eochair phríobháideach, cosanta leis an bhfrása faire a thaispeántar thuas. Foilsithe le haghaidh tástála amháin: is féidir le duine ar bith í a úsáid.
Íoslódáil → 1 162 bearta
Taispeáin
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcASBGr3hQcTBSuBBAAiAwME8D97Gh1kXaYAh/AUcj0MCTAa6eHEXzMU6NYyhJAb
JOLdASf0kU8LfRluhwkoCC/heaXHDvjekb/7acHCvWrFRvLZ+6cEkQDnZ4vWjFc2
2gfD3qZ9kYJd5wFtFVWmP5cb/gkDCB5MdZ1XCAVu4Ej5a5EUf7YRJdtMQ9432jXq
kWE4xSHY9rN8v9Y8yhPx9tdsVZKN57s5rNMDYhi1cIWx8Lj4TIIGGaQgGRlfbBCB
5Q//bMX7pkpUnohFC/o/L0L7nIv0zSZDSC1KIG1hdHJpeCAyMi12NC1lY2RzYS1w
Mzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hvXKpb
epECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCeduBdfv
59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f5icw
vT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVMfAFgRq
94UHEgUrgQQAIgMDBBu9mvZqIshvJjvClEBEfw1AvGhSn2qSnRY4XUAvfCnyUWMa
KTwNf794LnTqMThYiYqxnPdzSkIvoVOJoAEGCMzj1Pg3zWvrk+zYY6o08n1WGmPr
W5SNuQMoUOzDbUfxIgMBCQj+CQMI/CAOINGj7h7gSkKMX7JJJhTDZsTa6/BOpe/K
Gzv1CPdKNt3Jnx0UTOu9VsoFca38Go7fs4gWKmA7NwCXnazaHNUCRAe3wTTa6cVY
gLuOvaH3S31C0c03LKc4XlU2YHXCmAQYEwkAIAUCaveFBxYhBLpOVztalZkqCLiE
uKtYb1yqW3qRAhsMAAoJEKtYb1yqW3qRYkUBf3Ynj6Y4edwC9uAb8tOSeRKXDkFB
qeah1IcJMdA9dp+p72Enu1O2P61zLJAaRh1V7wF8CLevVAe036mpu6FwupILVfpf
YJfi+cD7m/YzqbcykjyarxV2K75LbNf0K4j8YTqc
=f6p+
-----END PGP PRIVATE KEY BLOCK-----
Teastas cúlghairme
Teastas cúlghairme a gineadh roimh ré. Má iompórtálann tú é, marcáiltear an eochair mar eochair chúlghairthe; foilsítear é chun gur féidir leat tástáil a dhéanamh ar láimhseáil eochracha cúlghairthe sna bogearraí.
Íoslódáil → 1 095 bearta
Taispeáin
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvClQQgEwkAHQUCaveFBxYhBLpOVztalZkqCLiEuKtY
b1yqW3qRAAoJEKtYb1yqW3qRs8MBgIDQ3VgEAOwhmwDTlcPHY1n0TF1kNHUvuk7g
XYrjVpSwdPCbOxKiRLFiXTLoWa7wvAF+K3sT+pBqLcNktBzJHoRbI419wZEXzr/J
5jkgZ9zLG9abGbJpKH0W2DC7TNHvaoFPzSZDSC1KIG1hdHJpeCAyMi12NC1lY2Rz
YS1wMzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hv
XKpbepECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCedu
Bdfv59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f
5icwvT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVM5z
BGr3hQcSBSuBBAAiAwMEG72a9moiyG8mO8KUQER/DUC8aFKfapKdFjhdQC98KfJR
YxopPA1/v3gudOoxOFiJirGc93NKQi+hU4mgAQYIzOPU+DfNa+uT7NhjqjTyfVYa
Y+tblI25AyhQ7MNtR/EiAwEJCMKYBBgTCQAgBQJq94UHFiEEuk5XO1qVmSoIuIS4
q1hvXKpbepECGwwACgkQq1hvXKpbepFiRQF/diePpjh53AL24Bvy05J5EpcOQUGp
5qHUhwkx0D12n6nvYSe7U7Y/rXMskBpGHVXvAXwIt69UB7Tfqam7oXC6kgtV+l9g
l+L5wPub9jOptzKSPJqvFXYrvkts1/QriPxhOpw=
=2Xz2
-----END PGP PUBLIC KEY BLOCK-----
Síniú ar test_1MB.bin
Síniú scoite i bhformáid armúrtha ASCII ar test_1MB.bin, déanta leis an eochair seo in CH-J Tools. Sábháil é mar test_1MB.bin.asc in aice leis an gcomhad tástála.
Íoslódáil → 273 bearta
-----BEGIN PGP SIGNATURE-----
wpUEABMJAB0WIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQUCaveO8gAKCRCrWG9cqlt6
kUHJAX9rEtBb020cNXupXXthuNlBLXNGTU6lTJ5mJnix842lWtUW7GWTN9By+SIw
7vzoZ0IBfj4G8g8Vp7VcL6eIVdc8CFmswyX8ZpqY/qd4bFJtJuZw16GJ7DJz1pA0
sA+Y2i64yQ==
=0iaK
-----END PGP SIGNATURE-----
Fíoraigh an síniú
Oibríonn eochracha leagan 4 le GnuPG agus le huirlisí SOP ar nós sqop nó rsop, a mhéid a thacaítear leis na halgartaim. Úsáid GNUPGHOME sealadach ionas nach gcuirfear an eochair thástála i d’fhíorfháinne eochracha:
gpg --import pgp-example-22-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin